Subject: [bug#60075] [PATCH 09/58] gnu: Add julia-irrationalconstants.

From: Efraim Flashner <[email-masked]>
Date: Wed, 21 Dec 2022 19:09:17 +0200

On Mon, Dec 19, 2022 at 07:11:32PM +0100, zimoun wrote:
> Hi,
> 
> On Wed, 14 Dec 2022 at 22:35, Efraim Flashner <[email-masked]> wrote:
> > * gnu/packages/julia-xyz.scm (julia-irrationalconstants): New variable.
> 
> [...]
> 
> > +    (description "This package defines the following irrational constants in Julia.")
> 
> This description looks incomplete.  I suggest to replace by:
> 
> --8<---------------cut here---------------start------------->8---
> This package defines more irrational constants in Julia.
> --8<---------------cut here---------------end--------------->8---
> 
> or by:
> 
> --8<---------------cut here---------------start------------->8---
> +      (description "This package provides these irrational constants:
> +@itemize
> +@item
> +@item twoπ       = 2π
> +@item fourπ      = 4π
> +@item halfπ      = π / 2
> +@item quartπ     = π / 4
> +@item invπ       = 1 / π
> +@item twoinvπ    = 2 / π
> +@item fourinvπ   = 4 / π
> +@item inv2π      = 1 / (2π)
> +@item inv4π      = 1 / (4π)
> +@item sqrt2      = √2
> +@item sqrt3      = √3
> +@item sqrtπ      = √π
> +@item sqrt2π     = √2π
> +@item sqrt4π     = √4π
> +@item sqrthalfπ  = √(π / 2)
> +@item invsqrt2   = 1 / √2
> +@item invsqrtπ   = 1 / √π
> +@item invsqrt2π  = 1 / √2π
> +@item loghalf    = log(1 / 2)
> +@item logtwo     = log(2)
> +@item logten     = log(10)
> +@item logπ       = log(π)
> +@item log2π      = log(2π)
> +@item log4π      = log(4π)
> +@end itemize")
> --8<---------------cut here---------------end--------------->8---
> 
> With a preference for the latter.

I'd argue that the original doesn't just look incomplete, it's not a
full sentence. I've gone with the second.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted